<?php 
// hwa-mosgraphic.php script by Jacco Gebben - info@hetweerinruinen.nl
//
// Version 2.00 - 17-Dec-2012 - initial release

// script modified by Ramon Bakker - http://drentheweer.tk - info@drentheweer.tk
// Deze aangepaste versie laat de kansen voor onweer en sneeuw zien, als die er zijn.
//
// Version 1.00 - 02-Mar-2013

$Version = "HWA-mosgraphic2.php Version 2.02- 06-Feb-2013";

$StationID = xxx; // Voor xxx je ID invullen
$SecurityCode = "xxx"; // Voor xxx je code invullen

$imagefolder = "images/"; // map waar de afbeeldingen staan
$imageextension = 'png'; // formaat afbeeldingen weersymbool

// ***** font grootte *****
$fontsizedagnaam = '44'; 
$fontsizeminmaxtemp = '18';
$fontsizewindkracht = '14';
$fontsizeneerslagh = '10';
$fontsizeneerslagk = '10';
$fontsizeonweerk = '10';
$fontsizesneeuwk = '10';
$fontssamenwerking = '9';
$fonttekstwind = '9';
$fonttekstneerslag = '9';
$fonttekstonweer = '9';
$fonttekstsneeuw = '9';

// ***** kleurverloop achtergrond in rgb *****
// $left_color = array(183, 212, 228); 
// $right_color = array(95, 159, 203); 
$left_color = array(40, 125, 210); 
$right_color = array(95, 159, 203); 

/***** Paden naar Font en anti-aliasing *****/
$font_file = 'HelveticaNeueLTStd-Bd.otf';
//$font_file = 'PFDinDisplayPro-Bold.ttf';

$anti_alias = 'on';

// Cachesettings etc. settings
$qarefetchSeconds = 3600;	// How often it refresh the cache, 3600 recommended

$forecast_url= "http://www.hetweeractueel.nl/includes/custom/mosfeed.php?id=".$StationID."&securitycode=".$SecurityCode."&extended=1";

$xml_url = md5($forecast_url);
$cachefilename = "cache/$xml_url";

if (file_exists($cachefilename) and filemtime($cachefilename) + $qarefetchSeconds > time()) {
      $html = implode('', file($cachefilename));
      //echo "<!-- cachefile gebruikt: file $cachefilename-->\n";
    } else {
      $html = file_get_contents($forecast_url);
      $fp = file_put_contents($cachefilename, $html); 
	  //echo "<!-- gebruik nieuw opgehaalde xml -->\n";
	 }

$verwachting = simplexml_load_file($cachefilename);

$aanmaaktijd = $verwachting['aanmaaktijd'];
$datumgeheel = $verwachting['aanmaakdatum'];
$plaatsnaam = $verwachting->Plaatsen->Plaats['naam'];
$alias = $verwachting->Plaatsen->Plaats['alias'];

$parsedarray = array();
		foreach($verwachting->Plaatsen->Plaats->Verwachtingen->Verwachting as $verwachting) {
			switch ($verwachting['uur']) {
				case 12:
				case 18:
					$parsedarray[$verwachting['dagnaam'].'max']['dag'] = (string) $verwachting['dagnaam'];
					$parsedarray[$verwachting['dagnaam'].'max']['type'] = 'max';
					$parsedarray[$verwachting['dagnaam'].'max']['neerslaghoeveelheid'] += (float) $verwachting->neerslaghoeveelheid;
					if (($parsedarray[$verwachting['dagnaam'].'max']['maximumtemperatuur'] == '') || ((float) $verwachting->maximumtemperatuur > $parsedarray[$verwachting['dagnaam'].'max']['maximumtemperatuur'])) {
						$parsedarray[$verwachting['dagnaam'].'max']['maximumtemperatuur'] = (float) $verwachting->maximumtemperatuur;
					}
					if ($parsedarray[$verwachting['dagnaam'].'max']['neerslagkans'] == '' && $verwachting->neerslagkans != '') {
						$parsedarray[$verwachting['dagnaam'].'max']['neerslagkans'] = (float) $verwachting->neerslagkans;
					}
					if ($parsedarray[$verwachting['dagnaam'].'max']['onweerkans'] == '' && $verwachting->onweerkans != '') {
						$parsedarray[$verwachting['dagnaam'].'max']['onweerkans'] = (string) $verwachting->onweerkans;
					}
					if ($parsedarray[$verwachting['dagnaam'].'max']['sneeuwkans'] == '' && $verwachting->sneeuwkans != '') {
						$parsedarray[$verwachting['dagnaam'].'max']['sneeuwkans'] = (string) $verwachting->sneeuwkans;
					}
					if (($parsedarray[$verwachting['dagnaam'].'max']['windsnelheid'] == '') || ((float) $verwachting->windsnelheid > $parsedarray[$verwachting['dagnaam'].'max']['windsnelheid'])) {
						$parsedarray[$verwachting['dagnaam'].'max']['windsnelheid'] = (float) $verwachting->windsnelheid;
					}
					$parsedarray[$verwachting['dagnaam'].'max']['windrichting'] = (string) $verwachting->windrichting;
					$parsedarray[$verwachting['dagnaam'].'max']['weersymbool'] = (float) $verwachting->weersymbool;
					$parsedarray[$verwachting['dagnaam'].'max']['weersymbool_12u'] = (float) $verwachting->weersymbool_12u;
					$parsedarray[$verwachting['dagnaam'].'max']['weersomschrijving'] = (string) $verwachting->weersomschrijving;
					$parsedarray[$verwachting['dagnaam'].'max']['weersomschrijving_12u'] = (string) $verwachting->weersomschrijving_12u;
					break;
				case 0:
				case 6:
					$parsedarray[$verwachting['dagnaam'].'min']['dag'] = (string) $verwachting['dagnaam'];
					$parsedarray[$verwachting['dagnaam'].'min']['type'] = 'min';
					$parsedarray[$verwachting['dagnaam'].'min']['neerslaghoeveelheid'] += (float) $verwachting->neerslaghoeveelheid;
					if (($parsedarray[$verwachting['dagnaam'].'min']['minimumtemperatuur'] == '') || ((float) $verwachting->minimumtemperatuur < $parsedarray[$verwachting['dagnaam'].'min']['minimumtemperatuur'])) {
						$parsedarray[$verwachting['dagnaam'].'min']['minimumtemperatuur'] = (float) $verwachting->minimumtemperatuur;
					}
					if ($parsedarray[$verwachting['dagnaam'].'min']['neerslagkans'] == '' && $verwachting->neerslagkans != '') {
						$parsedarray[$verwachting['dagnaam'].'min']['neerslagkans'] = (float) $verwachting->neerslagkans;
					}
					if ($parsedarray[$verwachting['dagnaam'].'min']['onweerkans'] == '' && $verwachting->onweerkans != '') {
						$parsedarray[$verwachting['dagnaam'].'min']['onweerkans'] = (string) $verwachting->onweerkans;
					}
					if ($parsedarray[$verwachting['dagnaam'].'min']['sneeuwkans'] == '' && $verwachting->sneeuwkans != '') {
						$parsedarray[$verwachting['dagnaam'].'min']['sneeuwkans'] = (string) $verwachting->sneeuwkans;
					}
					if (($parsedarray[$verwachting['dagnaam'].'min']['windsnelheid'] == '') || ((float) $verwachting->windsnelheid > $parsedarray[$verwachting['dagnaam'].'min']['windsnelheid'])) {
						$parsedarray[$verwachting['dagnaam'].'min']['windsnelheid'] = (float) $verwachting->windsnelheid;
					}
					$parsedarray[$verwachting['dagnaam'].'min']['windrichting'] = (string) $verwachting->windrichting;
					$parsedarray[$verwachting['dagnaam'].'min']['weersymbool'] = (float) $verwachting->weersymbool;
					$parsedarray[$verwachting['dagnaam'].'min']['weersymbool_12u'] = (float) $verwachting->weersymbool_12u;
					$parsedarray[$verwachting['dagnaam'].'min']['weersomschrijving'] = (string) $verwachting->weersomschrijving;
					$parsedarray[$verwachting['dagnaam'].'max']['weersomschrijving_12u'] = (string) $verwachting->weersomschrijving_12u;
					break;
			}
}
$dagen = (array_keys($parsedarray)); 
$howmany = count($parsedarray);

// aanmaakdatum formaat wijzigen
$datumkop = substr($datumgeheel,6,2)."-".substr($datumgeheel,4,2)."-".substr($datumgeheel,0,4);

foreach ($dagen as &$val) {
$dagnaam[] = ($parsedarray[$val][dag]);
$weersymbool[] = ($parsedarray[$val][weersymbool]);
$weersymbool_12u[] = ($parsedarray[$val][weersymbool_12u]);
$weersomschrijving_12u[] = ($parsedarray[$val][weersomschrijving_12u]);
$windrichting[] = ($parsedarray[$val][windrichting]);
$neerslagkans[] = ($parsedarray[$val][neerslagkans]);
$onweerkans[] = ($parsedarray[$val][onweerkans]);
$sneeuwkans[] = ($parsedarray[$val][sneeuwkans]);
$neerslaghoeveelheid[] = ($parsedarray[$val][neerslaghoeveelheid]);
$minmaxtemperatuur[] = ($parsedarray[$val][maximumtemperatuur])+($parsedarray[$val][minimumtemperatuur]);
$windsnelheid[] = ($parsedarray[$val][windsnelheid]);

}

if ($dagnaam[0] <> $dagnaam[1]) {
array_shift($dagnaam); 
array_shift($weersymbool);
array_shift($weersymbool_12u);
array_shift($weersomschrijving_12u);
array_shift($windrichting);
array_shift($neerslagkans);
array_shift($onweerkans);
array_shift($sneeuwkans);
array_shift($neerslaghoeveelheid);
array_shift($minmaxtemperatuur);
array_shift($windsnelheid);

}

 // Weericonen
$stamp0 = imagecreatefrompng("$imagefolder$weersymbool_12u[0].$imageextension");
$stamp1 = imagecreatefrompng("$imagefolder$weersymbool_12u[1].$imageextension");
$stamp2 = imagecreatefrompng("$imagefolder$weersymbool_12u[2].$imageextension");
$stamp3 = imagecreatefrompng("$imagefolder$weersymbool_12u[3].$imageextension");
$stamp4 = imagecreatefrompng("$imagefolder$weersymbool_12u[4].$imageextension");
$stamp5 = imagecreatefrompng("$imagefolder$weersymbool_12u[5].$imageextension");
$stamp6 = imagecreatefrompng("$imagefolder$weersymbool_12u[6].$imageextension");
$stamp7 = imagecreatefrompng("$imagefolder$weersymbool_12u[7].$imageextension");
$stamp8 = imagecreatefrompng("$imagefolder$weersymbool_12u[8].$imageextension");	  
$stamp9 = imagecreatefrompng("$imagefolder$weersymbool_12u[9].$imageextension");
$stamp10 = imagecreatefrompng("$imagefolder$weersymbool_12u[10].$imageextension");	  
	  
// Windiconen
$stampw0 = imagecreatefrompng("$imagefolder$windrichting[0].$imageextension");
$stampw1 = imagecreatefrompng("$imagefolder$windrichting[1].$imageextension");
$stampw2 = imagecreatefrompng("$imagefolder$windrichting[2].$imageextension");
$stampw3 = imagecreatefrompng("$imagefolder$windrichting[3].$imageextension");
$stampw4 = imagecreatefrompng("$imagefolder$windrichting[4].$imageextension");
$stampw5 = imagecreatefrompng("$imagefolder$windrichting[5].$imageextension");
$stampw6 = imagecreatefrompng("$imagefolder$windrichting[6].$imageextension");
$stampw7 = imagecreatefrompng("$imagefolder$windrichting[7].$imageextension");
$stampw8 = imagecreatefrompng("$imagefolder$windrichting[8].$imageextension");
$stampw9 = imagecreatefrompng("$imagefolder$windrichting[9].$imageextension");
$stampw10 = imagecreatefrompng("$imagefolder$windrichting[10].$imageextension");

$height = 389; // originele hoogte is 389 px
$width = 550; // originele breedte is 550 px 
$heightLevel = 0; // niveau van de hoogte is standaard 0

// bepaal hoe hoog de afbeelding moet zijn (afhankelijk van de onweerkans en de sneeuwkans) 
if (($onweerkans[0] != 0 || $onweerkans[1] != 0 || $onweerkans[2] != 0 || $onweerkans[3] != 0 || $onweerkans[4] != 0 || $onweerkans[5] != 0 || $onweerkans[6] != 0 || $onweerkans[7] != 0 || $onweerkans[8] != 0 || $onweerkans[9] != 0)) {
	$heightLevel = $heightLevel + 1;
	$onweerkansAanwezig = 1;
}

if (($sneeuwkans[0] != 0 || $sneeuwkans[1] != 0 || $sneeuwkans[2] != 0 || $sneeuwkans[3] != 0 || $sneeuwkans[4] != 0 || $sneeuwkans[5] != 0 || $sneeuwkans[6] != 0 || $sneeuwkans[7] != 0 || $sneeuwkans[8] != 0 || $sneeuwkans[9] != 0)) {
	$heightLevel = $heightLevel + 1;
	$sneeuwkansAanwezig = 1;
}

if ($heightLevel == 1) {
	$height = 440;
}

if ($heightLevel == 2) {
	$height = 500;
}

// Create image
$im = imagecreatetruecolor($width, $height); 
imagecolorgradient($im, 0, 0, $height, $width, $left_color, $right_color);

/***** Kleuren voor de tekst en andere elementen in rgb formaat, $im = de basisafbeelding *****/
$color1 = imagecolorallocate($im, 235, 235, 235); //wit 
$color2 = imagecolorallocate($im, 87, 136, 212); // blauw MC
$color3 = imagecolorallocate($im, 0, 0, 0); // zwart
$colortempmaxtekst = imagecolorallocate($im, 0, 0, 0); // max temp tekst
$colortempmintekst = imagecolorallocate($im, 0, 0, 0); // min temp tekst
$colorneerslaghoevtekst = imagecolorallocate($im, 235, 235, 235); // neerslag in mm tekst
$colorneerslagkanstekst = imagecolorallocate($im, 235, 235, 235); // neerslagkans tekst
$coloronweeerkanstekst = imagecolorallocate($im, 235, 235, 235); // onweerkans tekst
$colorsneeuwkanstekst = imagecolorallocate($im, 235, 235, 235); // sneeuwkans tekst
$colorwindkrachttekst = imagecolorallocate($im, 235, 235, 235); // windkracht in bft tekst
$colorbalk1 = imagecolorallocate($im, 253, 194, 124); // bovenste helft plaatsnamenbalk
$colorbalk2 = imagecolorallocate($im, 253, 156, 0); // onderste helft plaatsnaambalk
$colorbalkdagen = imagecolorallocate($im, 103, 151, 189); // balk met dagnamen
$colorbalkdagentekst = imagecolorallocate($im, 137, 165, 204); // tekst dagen
$colorkolomlinks = imagecolorallocate($im, 235, 235, 235); // linkerhelft kolom (nacht)
$colorkolomrechts = imagecolorallocate($im, 255, 194, 119); // rechterhelft kolom (dag)

// dagen tekenen
// imagerectangle($im, 19, 19, 99, 59, $color2);
// imagefilledrectangle($im, 20, 20, 98, 58, $colorbalkdagen);
// imagerectangle($im, 129, 19, 209, 59, $color2);
// imagefilledrectangle($im, 130, 20, 208, 58, $colorbalkdagen);
// imagerectangle($im, 239, 19, 319, 59, $color2);
// imagefilledrectangle($im, 240, 20, 318, 58, $colorbalkdagen);
// imagerectangle($im, 349, 19, 429, 59, $color2);
// imagefilledrectangle($im, 350, 20, 428, 58, $colorbalkdagen);
// imagerectangle($im, 459, 19, 539, 59, $color2);
// imagefilledrectangle($im, 460, 20, 538, 58, $colorbalkdagen);

// kolommen tekenen
if ($heightLevel == 0) {
	imagerectangle($im, 114, 77, 115, 350, $colorbalkdagen);
	imagefilledrectangle($im, 20, 150, 58, 185, $colorkolomlinks);
	imagefilledrectangle($im, 60, 150, 98, 185, $colorkolomrechts);
	
	imagerectangle($im, 224, 77, 225, 350, $colorbalkdagen);
	imagefilledrectangle($im, 130, 150, 168, 185, $colorkolomlinks);
	imagefilledrectangle($im, 170, 150, 208, 185, $colorkolomrechts);
	
	imagerectangle($im, 334, 77, 335, 350, $colorbalkdagen);
	imagefilledrectangle($im, 240, 150, 278, 185, $colorkolomlinks);
	imagefilledrectangle($im, 280, 150, 318, 185, $colorkolomrechts);
	
	imagerectangle($im, 444, 77, 445, 350, $colorbalkdagen);
	imagefilledrectangle($im, 350, 150, 388, 185, $colorkolomlinks);
	imagefilledrectangle($im, 390, 150, 428, 185, $colorkolomrechts);
}

if ($heightLevel == 1) {
	imagerectangle($im, 114, 77, 115, 401, $colorbalkdagen);
	imagefilledrectangle($im, 20, 150, 58, 185, $colorkolomlinks);
	imagefilledrectangle($im, 60, 150, 98, 185, $colorkolomrechts);
	
	imagerectangle($im, 224, 77, 225, 401, $colorbalkdagen);
	imagefilledrectangle($im, 130, 150, 168, 185, $colorkolomlinks);
	imagefilledrectangle($im, 170, 150, 208, 185, $colorkolomrechts);
	
	imagerectangle($im, 334, 77, 335, 401, $colorbalkdagen);
	imagefilledrectangle($im, 240, 150, 278, 185, $colorkolomlinks);
	imagefilledrectangle($im, 280, 150, 318, 185, $colorkolomrechts);
	
	imagerectangle($im, 444, 77, 445, 401, $colorbalkdagen);
	imagefilledrectangle($im, 350, 150, 388, 185, $colorkolomlinks);
	imagefilledrectangle($im, 390, 150, 428, 185, $colorkolomrechts);
}

if ($heightLevel == 2) {
	imagerectangle($im, 114, 77, 115, 461, $colorbalkdagen);
	imagefilledrectangle($im, 20, 150, 58, 185, $colorkolomlinks);
	imagefilledrectangle($im, 60, 150, 98, 185, $colorkolomrechts);
	
	imagerectangle($im, 224, 77, 225, 461, $colorbalkdagen);
	imagefilledrectangle($im, 130, 150, 168, 185, $colorkolomlinks);
	imagefilledrectangle($im, 170, 150, 208, 185, $colorkolomrechts);
	
	imagerectangle($im, 334, 77, 335, 461, $colorbalkdagen);
	imagefilledrectangle($im, 240, 150, 278, 185, $colorkolomlinks);
	imagefilledrectangle($im, 280, 150, 318, 185, $colorkolomrechts);
	
	imagerectangle($im, 444, 77, 445, 461, $colorbalkdagen);
	imagefilledrectangle($im, 350, 150, 388, 185, $colorkolomlinks);
	imagefilledrectangle($im, 390, 150, 428, 185, $colorkolomrechts);
}

//imagerectangle($im, 459, 77, 539, 369, $color2);
imagefilledrectangle($im, 460, 150, 498, 185, $colorkolomlinks);
imagefilledrectangle($im, 500, 150, 538, 185, $colorkolomrechts);

// horizontale balk tekenen
//imagefilledrectangle($im, 0, 59, 599, 75, $colorbalk1);
//imagefilledrectangle($im, 0, 76, 599, 90, $colorbalk2);

// Breedte en hoogte van de weericonen en windrichting bepalen
$sx0 = imagesx($stamp0);
$sy0 = imagesy($stamp0);
$wsx0 = imagesx($stampw0);
$wsy0 = imagesy($stampw0);

// kopie van weericonen plaatsen 
// en hoogte en breedte berekenen 
imagecopyresized($im, $stamp0, 15, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp1, 54, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp2, 125, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp3, 164, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp4, 235, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp5, 274, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp6, 345, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp7, 384, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp8, 455, 95, 0, 0, 50, 50, $sx0, $sy0);
imagecopyresized($im, $stamp9, 495, 95, 0, 0, 50, 50, $sx0, $sy0);

// kopie van windrichting iconen plaatsen
imagecopy($im, $stampw0, 25, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw1, 64, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw2, 135, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw3, 174, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw4, 245, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw5, 284, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw6, 355, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw7, 394, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw8, 465, 230, 0, 0, $wsx0, $wsy0);
imagecopy($im, $stampw9, 504, 230, 0, 0, $wsx0, $wsy0);

// tekst plaatsen op afbeelding
// imagettftext is links uitgelijnd, imagecentredtext gecentreerd
		
		ImageTTFText ($im, 14, 0, 15, 25, $color1, "$font_file","Vooruitzichten voor $plaatsnaam");
		//ImageTTFText ($im, 11, 0, 6, 75, $color1, "$font_file","$plaatsnaam");
		
		if ($heightLevel == 0) {
			//ImageTTFText ($im, $fontssamenwerking, 0, 232, 386, $color3, "$font_file","Samenwerking Meteoconsult/Hetweeractueel");
	 		ImageTTFText ($im, $fontssamenwerking, 0, 284, ($height - 5), $color1, "$font_file","Samenwerking Meteoconsult/Hetweeractueel");
			
			//	ImageTTFText ($im, 8, 0, 5, 40, $color2, "$font_file","Opgesteld:");
			ImageTTFText ($im, 8, 0, 5, ($height - 5), $color1, "$font_file","$datumkop $aanmaaktijd");
		}
		
		if ($heightLevel == 1) {
			//ImageTTFText ($im, $fontssamenwerking, 0, 232, 386, $color3, "$font_file","Samenwerking Meteoconsult/Hetweeractueel");
	 		ImageTTFText ($im, $fontssamenwerking, 0, 284, ($height - 5), $color1, "$font_file","Samenwerking Meteoconsult/Hetweeractueel");
			
			//	ImageTTFText ($im, 8, 0, 5, 40, $color2, "$font_file","Opgesteld:");
			ImageTTFText ($im, 8, 0, 5, ($height - 5), $color1, "$font_file","$datumkop $aanmaaktijd");
		}
		
		if ($heightLevel == 2) {
			//ImageTTFText ($im, $fontssamenwerking, 0, 232, 386, $color3, "$font_file","Samenwerking Meteoconsult/Hetweeractueel");
	 		ImageTTFText ($im, $fontssamenwerking, 0, 284, ($height - 5), $color1, "$font_file","Samenwerking Meteoconsult/Hetweeractueel");
			
			//	ImageTTFText ($im, 8, 0, 5, 40, $color2, "$font_file","Opgesteld:");
			ImageTTFText ($im, 8, 0, 5, ($height - 5), $color1, "$font_file","$datumkop $aanmaaktijd");
		}
		
		imagecenteredtext ( 60, 95, strtolower(substr("$dagnaam[0]",0,2)), 5, $fontsizedagnaam, $colorbalkdagentekst, 0);
		imagecenteredtext ( 170, 95, strtolower(substr("$dagnaam[2]",0,2)), 5, $fontsizedagnaam, $colorbalkdagentekst, 0);
		imagecenteredtext ( 280, 95, strtolower(substr("$dagnaam[4]",0,2)), 5, $fontsizedagnaam, $colorbalkdagentekst, 0);
		imagecenteredtext ( 385, 95, strtolower(substr("$dagnaam[6]",0,2)), 5, $fontsizedagnaam, $colorbalkdagentekst, 0);
		imagecenteredtext ( 495, 95, strtolower(substr("$dagnaam[8]",0,2)), 5, $fontsizedagnaam, $colorbalkdagentekst, 0);
		
		imagecenteredtext ( 40, 175, "$minmaxtemperatuur[0]", 5, $fontsizeminmaxtemp, $colortempmintekst, 0);
		imagecenteredtext ( 79, 175, "$minmaxtemperatuur[1]", 5, $fontsizeminmaxtemp, $colortempmaxtekst, 0);
        imagecenteredtext ( 150, 175, "$minmaxtemperatuur[2]", 5, $fontsizeminmaxtemp, $colortempmintekst, 0);
	    imagecenteredtext ( 189, 175, "$minmaxtemperatuur[3]", 4, $fontsizeminmaxtemp, $colortempmaxtekst, 0);
	    imagecenteredtext ( 260, 175, "$minmaxtemperatuur[4]", 5, $fontsizeminmaxtemp, $colortempmintekst, 0);
	    imagecenteredtext ( 299, 175, "$minmaxtemperatuur[5]", 5, $fontsizeminmaxtemp, $colortempmaxtekst, 0);
	    imagecenteredtext ( 370, 175, "$minmaxtemperatuur[6]", 5, $fontsizeminmaxtemp, $colortempmintekst, 0);
	    imagecenteredtext ( 409, 175, "$minmaxtemperatuur[7]", 5, $fontsizeminmaxtemp, $colortempmaxtekst, 0);
		imagecenteredtext ( 480, 175, "$minmaxtemperatuur[8]", 5, $fontsizeminmaxtemp, $colortempmintekst, 0);
		imagecenteredtext ( 519, 175, "$minmaxtemperatuur[9]", 5, $fontsizeminmaxtemp, $colortempmaxtekst, 0);	
		
		imagecenteredtext ( 60, 220, "wind", 5, $fonttekstwind, $color1, 0);
		imagecenteredtext ( 170, 220, "wind", 5, $fonttekstwind, $color1, 0);
		imagecenteredtext ( 280, 220, "wind", 5, $fonttekstwind, $color1, 0);
		imagecenteredtext ( 390, 220, "wind", 5, $fonttekstwind, $color1, 0);
		imagecenteredtext ( 500, 220, "wind", 5, $fonttekstwind, $color1, 0);
		
		imagecenteredtext ( 60, 305, "neerslag", 5, $fonttekstneerslag, $color1, 0);
		imagecenteredtext ( 170, 305, "neerslag", 5, $fonttekstneerslag, $color1, 0);
		imagecenteredtext ( 280, 305, "neerslag", 5, $fonttekstneerslag, $color1, 0);
		imagecenteredtext ( 390, 305, "neerslag", 5, $fonttekstneerslag, $color1, 0);
		imagecenteredtext ( 500, 305, "neerslag", 5, $fonttekstneerslag, $color1, 0);
		
		imagecenteredtext ( 40, 330, "$neerslagkans[0]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
		imagecenteredtext ( 79, 330, "$neerslagkans[1]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
        imagecenteredtext ( 150, 330, "$neerslagkans[2]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
	    imagecenteredtext ( 189, 330, "$neerslagkans[3]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
	    imagecenteredtext ( 260, 330, "$neerslagkans[4]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
	    imagecenteredtext ( 299, 330, "$neerslagkans[5]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
	    imagecenteredtext ( 370, 330, "$neerslagkans[6]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
	    imagecenteredtext ( 409, 330, "$neerslagkans[7]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
		imagecenteredtext ( 480, 330, "$neerslagkans[8]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
		imagecenteredtext ( 519, 330, "$neerslagkans[9]%", 5, $fontsizeneerslagk, $colorneerslagkanstekst, 0);
  	
	    imagecenteredtext ( 40, 350, "$neerslaghoeveelheid[0]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 40, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 79, 350, "$neerslaghoeveelheid[1]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
        imagecenteredtext ( 79, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 150, 350, "$neerslaghoeveelheid[2]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
	    imagecenteredtext ( 150, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 189, 350, "$neerslaghoeveelheid[3]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
	    imagecenteredtext ( 189, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 260, 350, "$neerslaghoeveelheid[4]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
	    imagecenteredtext ( 260, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 299, 350, "$neerslaghoeveelheid[5]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
	    imagecenteredtext ( 299, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 370, 350, "$neerslaghoeveelheid[6]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
	    imagecenteredtext ( 370, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 409, 350, "$neerslaghoeveelheid[7]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 409, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 480, 350, "$neerslaghoeveelheid[8]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 480, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 519, 350, "$neerslaghoeveelheid[9]", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		imagecenteredtext ( 519, 360, "mm", 5, $fontsizeneerslagh, $colorneerslaghoevtekst, 0);
		
		// als de onweerkans overal 0% is, toon de onweerkans dan niet
		if ($onweerkansAanwezig == 1) {
			imagecenteredtext ( 40, 410, "$onweerkans[0]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
			imagecenteredtext ( 79, 410, "$onweerkans[1]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
        	imagecenteredtext ( 150, 410, "$onweerkans[2]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
	    	imagecenteredtext ( 189, 410, "$onweerkans[3]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
	    	imagecenteredtext ( 260, 410, "$onweerkans[4]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
	    	imagecenteredtext ( 299, 410, "$onweerkans[5]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
	    	imagecenteredtext ( 370, 410, "$onweerkans[6]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
	    	imagecenteredtext ( 409, 410, "$onweerkans[7]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
			imagecenteredtext ( 480, 410, "$onweerkans[8]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
			imagecenteredtext ( 519, 410, "$onweerkans[9]%", 5, $fontsizeonweerk, $coloronweeerkanstekst, 0);
					
			imagecenteredtext ( 60, 390, "onweer", 5, $fonttekstonweer, $color1, 0);
			imagecenteredtext ( 170, 390, "onweer", 5, $fonttekstonweer, $color1, 0);
			imagecenteredtext ( 280, 390, "onweer", 5, $fonttekstonweer, $color1, 0);
			imagecenteredtext ( 390, 390, "onweer", 5, $fonttekstonweer, $color1, 0);
			imagecenteredtext ( 500, 390, "onweer", 5, $fonttekstonweer, $color1, 0);	
		}
		
		// als de sneeuwkans overal 0% is, toon de sneeuwkans dan niet
		if ($sneeuwkansAanwezig == 1) {
			if ($heightLevel == 1) {
				imagecenteredtext ( 40, 410, "$sneeuwkans[0]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 79, 410, "$sneeuwkans[1]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 150, 410, "$sneeuwkans[2]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 189, 410, "$sneeuwkans[3]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 260, 410, "$sneeuwkans[4]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 299, 410, "$sneeuwkans[5]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 370, 410, "$sneeuwkans[6]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 409, 410, "$sneeuwkans[7]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 480, 410, "$sneeuwkans[8]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 519, 410, "$sneeuwkans[9]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
						
				imagecenteredtext ( 60, 390, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
				imagecenteredtext ( 170, 390, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
				imagecenteredtext ( 280, 390, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
				imagecenteredtext ( 390, 390, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
				imagecenteredtext ( 500, 390, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
			}
			else {
				imagecenteredtext ( 40, 460, "$sneeuwkans[0]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 79, 460, "$sneeuwkans[1]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 150, 460, "$sneeuwkans[2]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 189, 460, "$sneeuwkans[3]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 260, 460, "$sneeuwkans[4]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 299, 460, "$sneeuwkans[5]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 370, 460, "$sneeuwkans[6]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 409, 460, "$sneeuwkans[7]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 480, 460, "$sneeuwkans[8]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
				imagecenteredtext ( 519, 460, "$sneeuwkans[9]%", 5, $fontsizesneeuwk, $colorsneeuwkanstekst, 0);
						
				imagecenteredtext ( 60, 445, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
				imagecenteredtext ( 170, 445, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
				imagecenteredtext ( 280, 445, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
				imagecenteredtext ( 390, 445, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
				imagecenteredtext ( 500, 445, "sneeuw", 5, $fonttekstsneeuw, $color1, 0);
			}
		}
		
	    imagecenteredtext ( 40, 275, "$windsnelheid[0]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
		imagecenteredtext ( 79, 275, "$windsnelheid[1]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
        imagecenteredtext ( 150, 275, "$windsnelheid[2]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
	    imagecenteredtext ( 189, 275, "$windsnelheid[3]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
	    imagecenteredtext ( 260, 275, "$windsnelheid[4]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
	    imagecenteredtext ( 299, 275, "$windsnelheid[5]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
	    imagecenteredtext ( 370, 275, "$windsnelheid[6]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
	    imagecenteredtext ( 409, 275, "$windsnelheid[7]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
		imagecenteredtext ( 480, 275, "$windsnelheid[8]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
		imagecenteredtext ( 519, 275, "$windsnelheid[9]", 5, $fontsizewindkracht, $colorwindkrachttekst, 0);
		
// Output and free memory
header('Content-type: image/png');
imagepng($im);
imagedestroy($im);		
		
// imagecenteredtext() : text centering function for image creation
// centers on provided x, y coordinates
// you must pass all parameters even if you aren't using them.
// $x = x coordinate where the text will be centered
// $y = y coordinate where the text will be centered
// $text = the text to be written
// $size = font size for built-in GD fonts (1,2,3,4, or 5)
// $ttfsize = font size for ttf fonts. Use just like you would in a word processor
// $color = color as defined in the allocate colors section below
// $angle = for ttf fonts, determines the angle for the text.
function imagecenteredtext($x, $y, $text, $size, $ttfsize, $color, $angle) {
  global $font_file, $im ;
  // if FreeType is not supported OR $font_file is set to none
  // we'll use the GD default fonts
  $gdinf = gd_info();
  if (($gdinf["FreeType Support"] == 0) or ($font_file == "none")) {
     //  $x -= (imagefontwidth($size) * strlen($text)) / 2;
       $y -= (imagefontheight($size)) / 2;
       imagestring($im, $size, $x, $y - 3, $text, $color);
  } // end if

  // otherwise we'll use the truetype font defined in $font_file
  else {
     $box = imagettfbbox ($ttfsize, $angle, $font_file, $text);
     $x -= ($box[2] - $box[0]) / 2;
     $y -= ($box[3] - $box[1]) / 2;
     if ($anti_alias == 'off'){
        imagettftext ($im, $ttfsize, $angle, $x, $y, -$color, $font_file, $text);
     } // end if
     else {
          imagettftext ($im, $ttfsize, $angle, $x, $y, $color, $font_file, $text);
     } // end else
  } // end else

} // end function imagecenteredtext		

function imagecolorgradient($im, $x1, $y1, $height, $width,
    $left_color, $right_color) 
{ 
    $color0=($left_color[0]-$right_color[0])/$height; 
    $color1=($left_color[1]-$right_color[1])/$height; 
    $color2=($left_color[2]-$right_color[2])/$height; 
    for ($i=0;$i<=$height;$i++) 
    { 
        $red=$left_color[0]-floor($i*$color0); 
        $green=$left_color[1]-floor($i*$color1); 
        $blue=$left_color[2]-floor($i*$color2); 
        $col= imagecolorallocate($im, $red, $green, $blue); 
        imageline($im, $x1, $y1+$i, $x1+$width, $y1+$i, $col); 
    } 
}


  
?>

